

****************************
***   Creating Plot A3   ***
****************************

use "margins_plot_data.dta"


gen id= commune + "-" + respondent
encode id, gen(idn)

* controlling for list order, are politicians more sure when they report vore share in polling stations relative to non-polling stations?
destring confidence1, replace
destring confidence2, replace

gen listorder = 0 if abfirst == "A"
replace listorder = 1 if abfirst == "B"
drop abfirst

*differ by incumbent vs challenger
gen incumbent = 0 if wadesall == "S"
replace incumbent = 1 if wadesall =="W"
label define incumbent 1 "Outgoing incumbent (Wade)" 0 "Incoming incumbent (Sall)", replace
label values incumbent incumbent

regress confidence1 pollingstation##incumbent listorder
regress confidence2 pollingstation##incumbent listorder

recode confidence1 (1 2 = 0) (3 4 = 1), gen(confidence1bin)
logit confidence1bin pollingstation##incumbent listorder

margins, by(pollingstation incumbent) 
marginsplot, plotdimension(pollingstation) scheme(s1mono) recast(scatter) ///
	graphregion(fcolor(white) ilcolor(white) lcolor(white))  ///
	ytitle("Confidence in vote share guess") xtitle("") ///
	xlab(-.2 " " 0 `" "Incoming" "incumbent (Sall)" "' 1 `" "Outgoing" "incumbent (Wade)" "' 1.2 " ", noticks) ///
	legend(order(1 "No polling station" 2 "Polling station"))
