
* Set working directory

capture cd "replication_data"
set more off
est clear
set matsize 11000


*************************************************************************************************************************************************
* TABLE 2
*************************************************************************************************************************************************

do "var_coding/create pg"

set more off
xtset CRCode
est clear

* column 4 (do this first for e(sample))

eststo: fp <l_pop_census_over18>, zero replace: xtpois pg_all2009 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i.type2 i_q15_2000-i_q27_2000 <l_pop_census_over18>, fe vce(robust)

gen sample = e(sample)

test 3.type2 - 1.type2 = 0
local test5 = sign(_b[1.type2]-_b[3.type2])
estadd scalar test5 = normal(`test5'*sqrt(r(chi2)))

test 3.type2 - 2.type2 = 0
local test6 = sign(_b[2.type2]-_b[3.type2])
estadd scalar test6 = normal(`test6'*sqrt(r(chi2)))


* column 1

eststo: fp <l_pop_census_over18>, zero replace: areg pg_all2009 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i.type2 i_q15_2000-i_q27_2000 <l_pop_census_over18> if sample == 1, absorb(CRCode) vce(cluster CRCode)

test 3.type2 - 1.type2 = 0
local test5 = sign(_b[1.type2]-_b[3.type2])
estadd scalar test5 = 1 - ttail(r(df_r),`test5'*sqrt(r(F)))

test 3.type2 - 2.type2 = 0
local test6 = sign(_b[2.type2]-_b[3.type2])
estadd scalar test6 = 1 - ttail(r(df_r),`test6'*sqrt(r(F)))


* column 2

preserve

replace pg_all2009 = log(pg_all2009 + 1)
replace pg_all2000 = log(pg_all2000 + 1)

eststo: fp <l_pop_census_over18>, zero replace: areg pg_all2009 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i.type2 i_q15_2000-i_q27_2000 <l_pop_census_over18> if sample == 1, absorb(CRCode) vce(cluster CRCode)

test 3.type2 - 1.type2 = 0
local test5 = sign(_b[1.type2]-_b[3.type2])
estadd scalar test5 = 1 - ttail(r(df_r),`test5'*sqrt(r(F)))

test 3.type2 - 2.type2 = 0
local test6 = sign(_b[2.type2]-_b[3.type2])
estadd scalar test6 = 1 - ttail(r(df_r),`test6'*sqrt(r(F)))

restore



* column 3

gen pg_change1 = pg_all2009-pg_all2000
recode pg_change1 (-4/0=0)(1/4 = 1)
label var pg_change1 "$\Delta$ Access"

eststo: fp <l_pop_census_over18>, zero replace: areg pg_change1 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i.type2 i_q15_2000-i_q27_2000 <l_pop_census_over18> if sample == 1, absorb(CRCode) vce(cluster CRCode)


test 3.type2 - 1.type2 = 0
local test5 = sign(_b[1.type2]-_b[3.type2])
estadd scalar test5 = 1 - ttail(r(df_r),`test5'*sqrt(r(F)))

test 3.type2 - 2.type2 = 0
local test6 = sign(_b[2.type2]-_b[3.type2])
estadd scalar test6 = 1 - ttail(r(df_r),`test6'*sqrt(r(F)))


esttab est2 est3 est4 est1 using "output/main_specs.tex", label title(Results on learning after one election (testing of Hypotheses 1 and 2) \label{roundtwo}) ///
coeflabels(1.type2 "Mixed support" 2.type2 "Non-PDS support" 3.type2 "PDS support") eqlabels(none) ///
stats(N test5 test6 ar2, fmt(0 3) labels("Observations" "Mixed support $\geq$ PDS support" "Non-PDS support $\geq$ PDS support" "$R^2$")) ///
b(3) se(3) drop(0.type2 l_* i_q*) append	



*************************************************************************************************************************************************
* TABLE 3
*************************************************************************************************************************************************


set more off
est clear
xtset CRCode
drop sample

do "var_coding/create dynamic"

* column 1

fp <l_pop_census_over18>, zero replace: xtpois pg_all2009 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i.type2000 i_q15_2000-i_q27_2000 <l_pop_census_over18>, fe vce(robust)

gen sample = e(sample)

eststo: fp <l_pop_census_over18>, zero replace: areg pg_all2009 i.type2000 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i_q15_2000-i_q27_2000 <l_pop_census_over18> if sample == 1, absorb(CRCode) vce(cluster CRCode)

su pg_all2009 if e(sample) & type2000==0
estadd scalar basemean = `r(mean)'

test 1.type2000 - 2.type2000 = 0
local test1 = sign(_b[2.type2000]-_b[1.type2000])
estadd scalar test1 = 1 - ttail(r(df_r),`test1'*sqrt(r(F)))

test 3.type2000 - 2.type2000 = 0
local test2 = sign(_b[2.type2000]-_b[3.type2000])
estadd scalar test2 = 1 - ttail(r(df_r),`test2'*sqrt(r(F)))

test 3.type2000 - 1.type2000 = 0
local test3 = sign(_b[1.type2000]-_b[3.type2000])
estadd scalar test3 = 1 - ttail(r(df_r),`test3'*sqrt(r(F)))


* column 2


eststo: fp <l_pop_census_over18>, zero replace: areg pg_all2009 always_mixed_2000_2007 ever_switch_2000_2007 same_nonPDS_2000_2007 pg_all2000 l_e_over18_Badiaran-l_a_building_cu i_q15_2000-i_q27_2000 <l_pop_census_over18> if sample==1, absorb(CRCode) vce(cluster CRCode)

su pg_all2009 if e(sample) & type2000==0
estadd scalar basemean = `r(mean)'

test always_mixed_2000_2007 - same_nonPDS_2000_2007 = 0
local test4 = sign(_b[same_nonPDS_2000_2007]-_b[always_mixed_2000_2007])
estadd scalar test4 = 1 - ttail(r(df_r),`test4'*sqrt(r(F)))

test ever_switch_2000_2007 - same_nonPDS_2000_2007 = 0
local test5 = sign(_b[same_nonPDS_2000_2007]-_b[ever_switch_2000_2007])
estadd scalar test5 = 1 - ttail(r(df_r),`test5'*sqrt(r(F)))

test ever_switch_2000_2007 - always_mixed_2000_2007 = 0
local test6 = sign(_b[always_mixed_2000_2007]-_b[ever_switch_2000_2007])
estadd scalar test6 = 1 - ttail(r(df_r),`test6'*sqrt(r(F)))



esttab est1 est2 using "output/main_specs.tex", label title(Results on learning after two elections (testing of Hypothesis 3) \label{dynamic}) ///
coeflabels(1.type2000 "Mixed support" 2.type2000 "non-PDS support" 3.type2000 "PDS support") eqlabels(none) ///
stats(N basemean test1 test2 test3 test4 test5 test6 ar2, fmt(0 3) ///
labels("Observations" "Mean goods in non-observable villages" "Always non-PDS $\geq$ Always mixed" "Always non-PDS $\geq$ Ever PDS" "Always mixed $\geq$ Ever PDS" ///
 "Same non-PDS $\geq$ Always mixed" "Same non-PDS $\geq$ Ever switched" "Always mixed $\geq$ Ever switched" "$R^2$")) ///
b(3) se(3) drop(l_* i_q*) append	
