
**************************
***   Creating types   ***
**************************

* type = 1: mixed
* type = 2: against wade
* type = 3: for wade

drop wadeshare2000 type2

* Create blocs
/*
egen max2000 = rowmax(ibaderthiam-abdoudiouf)
gen maxshare2000 = max2000/exprimes
gen bloc2000 = .
replace bloc2000 = 1 if signal2000 == 1 & maxshare2000 >= 0.66 & maxshare <= 1
replace bloc2000 = 0 if signal2000 == 1 & maxshare2000 < 0.66 & maxshare >= 0
gen nonPDSbloc_2000 = bloc2000
replace nonPDSbloc_2000 = 0 if bloc2000 == 1 & (max2000 == abdoulayewade | max2000 == ibaderthiam)
*/

egen max2007 = rowmax(moustaphaniasse_2007-tallasylla_2007)
gen maxshare2007 = max2007/exprimes_2007
gen bloc2007 = .
replace bloc2007 = 1 if signal2007 == 1 & maxshare2007 >= 0.66 & maxshare2007 <= 1
replace bloc2007 = 0 if signal2007 == 1 & maxshare2007 <= 0.66 & maxshare2007 >= 0
gen nonPDSbloc_2007 = bloc2007
replace nonPDSbloc_2007 = 0 if bloc2007 == 1 & max2007 == abdoulayewade_2007


* for 2000
gen wadeshare2000 = abdoulayewade/exprimes
gen type2000 = .
replace type2000 = 1 if bloc2000 == 0
replace type2000 = 2 if nonPDSbloc_2000 == 1
replace type2000 = 3 if wadeshare2000 >= 0.66 & wadeshare2000 <= 1
replace type2000 = 0 if signal2000 == 0


* for 2007
gen wadeshare2007 = abdoulayewade_2007/exprimes_2007
gen type2007 = .
replace type2007 = 1 if bloc2007 == 0
replace type2007 = 2 if nonPDSbloc_2007 == 1
replace type2007 = 3 if wadeshare2007 >= 0.66 & wadeshare2007 <= 1
replace type2007 = 0 if signal2007 == 0


gen dioufshare2000 = abdoudiouf/exprimes
gen dioufshare2007 = ousmanetanordieng_2007/exprimes_2007

gen thiamshare2000 = ibaderthiam/exprimes

gen niasseshare2000 = moustaphaniasse/exprimes
gen niasseshare2007 = moustaphaniasse_2007/exprimes_2007 

gen djibokashare2000 = djiboka/exprimes

gen dieyeshare2000 = cheikhadieye/exprimes
gen dieyeshare2007 = cheikhbambadiye_2007/exprimes

gen sockshare2000 = madembasock/exprimes

gen fallshare2000 = ousseynoufall/exprimes

gen bathilyshare2007 = abdoulayebathily_2007/exprimes_2007
gen seckshare2007 = idrissaseck_2007/exprimes_2007
gen dialloshare2007 = mamadoulaminediallo_2007
gen sagnashare2007 = robertsagna_2007
gen savanshare2007 = landingsavan_2007
gen guyeshare2007 = mameadamaguye_2007
gen diashare2007 = modoudia_2007
gen mbayeshare2007 = aliounembaye_2007
gen ndoyeshare2007 = doudoundoye_2007
gen syllashare2007 = tallasylla_2007


* using 2000 election

gen always_mixed_2000 = 0
replace always_mixed_2000 = 1 if type2000 == 1
gen always_non_wade_2000 = 0
replace always_non_wade_2000 = 1 if type2000 == 2
gen voted_for_wade_once_2000 = 0
replace voted_for_wade_once_2000 = 1 if type2000 == 3

label var always_mixed_2000 "Mixed support"
label var always_non_wade_2000 "Non-PDS support"
label var voted_for_wade_once_2000 "PDS support"


* using 2007 election

gen always_mixed_2007 = 0
replace always_mixed_2007 = 1 if type2007 == 1
gen always_non_wade_2007 = 0
replace always_non_wade_2007 = 1 if type2007 == 2
gen voted_for_wade_once_2007 = 0
replace voted_for_wade_once_2007 = 1 if type2007 == 3




* Create categories

gen same_nonPDS_2000_2007 = 0
label var same_nonPDS_2000_2007 "Always same non-PDS (both years)"
replace same_nonPDS_2000_2007 = 1 if type2000 == 2 & type2007 == 2 & ///
	(dioufshare2000 >= 0.66 & dioufshare2000 <= 1 & dioufshare2007 >= 0.66 & dioufshare2007 <= 1) | ///
	(niasseshare2000 >= 0.66 & niasseshare2000 <= 1 & niasseshare2007 >= 0.66 & niasseshare2007 <= 1) | ///
	(dieyeshare2000 >= 0.66 & dieyeshare2000 <= 1 & dieyeshare2007 >= 0.66 & dieyeshare2007 <= 1) | ///
	(nonPDSbloc_2000 == 1 & type2007 == .) | (type2000 == . & nonPDSbloc_2007 == 1) | ///
	(nonPDSbloc_2000 == 1 & type2007 == 0) | (type2000 == 0 & nonPDSbloc_2007 == 1)

	
gen ever_switch_2000_2007 = 0
label var ever_switch_2000_2007 "Ever switched (both years)"
replace ever_switch_2000_2007 = 1 if (type2000 == 3 | (thiamshare2000 >= 0.66 & thiamshare2000 <= 1) | type2007 == 3) | ///
	(bloc2000 == 0 & nonPDSbloc_2007 == 1) | ///
	(nonPDSbloc_2000 == 1 & bloc2007 == 0)

	
gen switched_opp_2000_2007 = 0
label var switched_opp_2000_2007 "Switched among opposition parties"
replace switched_opp_2000_2007 = 1 if (nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & dioufshare2000 >= 0.66 & dioufshare2000 <= 1 & dioufshare2007 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & niasseshare2000 >= 0.66 & niasseshare2000 <= 1 & niasseshare2007 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & dieyeshare2000 >= 0.66 & dieyeshare2000 <= 1 & dieyeshare2007 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & dioufshare2007 >= 0.66 & dioufshare2007 <= 1 & dioufshare2000 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & niasseshare2007 >= 0.66 & niasseshare2007 <= 1 & niasseshare2000 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & dieyeshare2007 >= 0.66 & dieyeshare2007 <= 1 & dieyeshare2000 < 0.66) | ///
	(nonPDSbloc_2000 == 1 & nonPDSbloc_2007 == 1 & dioufshare2000 < 0.66 & dioufshare2007 < 0.66 & niasseshare2000 < 0.66 ///
	& niasseshare2007 < 0.66 & dieyeshare2000 < 0.66 & dieyeshare2007 < 0.66)
	
gen always_mixed_2000_2007 = 0
replace always_mixed_2000_2007 = 1 if (bloc2000 == 0 & bloc2007 == 0) | (bloc2000 == 0 & type2007 == 0) | (type2000 == 0 & bloc2007 == 0) | (bloc2000 == 0 & type2007 == .) | (type2000 == . & bloc2007 == 0)




************************
***   Second round   ***
************************


* for 2000
gen wadeshare2nd = wade2nd/exprimes2nd
gen type2nd = .
replace type2nd = 1 if wadeshare2nd >= 0.33 & wadeshare2nd < 0.66
replace type2nd = 2 if wadeshare2nd < 0.33
replace type2nd = 3 if wadeshare2nd >= 0.66 & wadeshare2nd <= 1
replace type2nd = 0 if signal2000 == 0

gen always_mixed_2nd = 0
replace always_mixed_2nd = 1 if (type2nd == 1 & bloc2007 == 0) | (type2nd == 1 & type2007 == 0) | (type2nd == 0 & bloc2007 == 0) | (type2nd == 1 & type2007 == .) | (type2nd == . & bloc2007 == 0)

gen ever_switch_2nd = 0
replace ever_switch_2nd = 1 if (type2nd == 3 | type2007 == 3) | (type2nd == 1 & nonPDSbloc_2007 == 1) | ///
	(type2nd == 2 & bloc2007 == 0) | (type2nd == 2 & nonPDSbloc_2007 == 1 & dioufshare2007 < 0.66 & dioufshare2007 >= 0)

gen always_ps_2nd = 0
replace always_ps_2nd = 1 if (type2nd == 2 & dioufshare2007 >= 0.66 & dioufshare2007 <= 1) | ///
	(type2nd == 2 & type2007 == .) | (type2nd == . & dioufshare2007 >= 0.66 & dioufshare2007 <= 1) | ///
	(type2nd == 2 & type2007 == 0) | (type2nd == 0 & dioufshare2007 >= 0.66 & dioufshare2007 <= 1)


